import 'package:pmu/data/dtos/news_dto.dart';
import 'package:pmu/domain/models/card.dart';
import 'package:pmu/domain/models/home.dart';

extension NewDataDtoToModel on NewAttributesDataDto{
  CardData toDomain() => CardData(
    text: title ?? 'UNKNOWN',
    imageUrl: imagelink,
    descText: description ?? 'NOTHING',
  );
}

extension CharactersDtoToModel on NewsDto {
  HomeData toDomain() => HomeData(
    data: data?.map((e) => e.toDomain()).toList(),
    nextPage: meta?.pagination?.next,
  );
}